/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void ADdrain (int audio_fd)

Purpose:
  Wait for the audio device to finish

Description:
  This routine drains the audio device.  This routine will wait for all pending
  output on the device to finish.

Parameters:
   -> int audio_fd
      File descriptor for the audio device

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.9 $  $Date: 1999/06/14 16:07:28 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: ADdrain.c 1.9 1999/06/14 AFsp-v4r3 $";

#include <stropts.h>		/* stream ioctl commands */
#include <unistd.h>		/* ioctl */

#include <libtsp.h>
#include <AD.h>

#define PGM		(UTgetProg ())


void
ADdrain (int audio_fd)

{
  int iost;

/* Ensure output is done */
  iost = ioctl (audio_fd, AUDIO_DRAIN, NULL);
  if (iost == -1)
    UTerror ("%s: %s", PGM, ADM_DrainErr);

  return;
}
